.EQU	DISP_OFF	= 0b10101110	; $AE
.EQU	ST_LINE		= 0b01000000	; $40
.EQU	PG_ADDR		= 0b10110000	; $B0
.EQU	COL_ADDRH	= 0b00010000	; $10
.EQU	COL_ADDRL	= 0b00000000	; $00
.EQU	ADC_SEL		= 0b10100000	; $A0
.EQU	DISP_MOD	= 0b10100110	; $A6
.EQU	PNTS_OFF	= 0b10100100	; $A4
.EQU	LCD_BIAS	= 0b10100010	; $A2
.EQU	DISP_RES	= 0b11100010	; $E2
.EQU	COM_MOD		= 0b11000000	; $C0
.EQU	PWR_CONT	= 0b00101000	; $28
.EQU	V5_R_RAT	= 0b00100000	; $20
.EQU	EVOL_SET	= 0b10000001	; $81
.EQU	EVOL_REG	= 0b00000000	; $00
.EQU	STIN_SET	= 0b10101100	; $AC
.EQU	STIN_MOD	= 0b00000000	; $00
.EQU	DISP_NOP	= 0b11100011	; $E3


;_{ Initialize SPI
	LDI		A,$DC
	OUT		SPCR,A

	LDI		A,$00
	OUT		SPSR,A
;_}


;_{ Initialize GLCD
	RCALL	DELAY_85MS
	SBI		LCD,CS
	RCALL	DELAY_85MS
	SBI		LCD,RES
	RCALL	DELAY_85MS

	LDI		A,DISP_RES
	RCALL	SEND_COMMAND

	LDI		A,(V5_R_RAT)|($04)
	RCALL	SEND_COMMAND

	LDI		A,(PWR_CONT)|($07)
	RCALL	SEND_COMMAND

	LDI		A,DISP_NOP
	RCALL	SEND_COMMAND

	LDI		A,EVOL_SET
	RCALL	SEND_COMMAND
	LDI		A,24
	RCALL	SEND_COMMAND

	LDI		A,(PNTS_OFF)|($01)
	RCALL	SEND_COMMAND

	LDI		A,(DISP_OFF)|($01)
	RCALL	SEND_COMMAND

	RCALL	DELAY_85MS
	RCALL	DELAY_85MS
;_}


SEND_COMMAND:					;_{
	CBI		LCD,A0
	NOP
SEND_DATA:						;_{
	CBI		LCD,CS
	NOP
	OUT		SPDR,A
WAIT_TRANSMISSION:
	SBIS	SPSR,SPIF
	RJMP	WAIT_TRANSMISSION
	IN		A,SPSR
	IN		A,SPDR
	SBI		LCD,A0
	SBI		LCD,CS
	NOP
	RET							;_}
								;_}











